## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate tiny-dfr

Name:           rust-tiny-dfr
Version:        0.3.5
Release:        %autorelease
Summary:        Most basic dynamic function row daemon possible

License:        MIT AND Apache-2.0
URL:            https://crates.io/crates/tiny-dfr
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  systemd-rpm-macros

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

%global _description %{expand:
The most basic dynamic function row daemon possible.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# ISC
# MIT
# MIT AND Apache-2.0
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND ISC AND MIT AND (MIT AND Apache-2.0) AND (MIT OR Apache-2.0) AND MPL-2.0 AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.material
%license LICENSE.dependencies
%doc README.md
%{_bindir}/tiny-dfr
%{_datadir}/%{crate}/
%{_udevrulesdir}/*.rules
%{_unitdir}/%{crate}.service
%dir %{_sysconfdir}/%{crate}/
%config(noreplace) %ghost %{_sysconfdir}/%{crate}/config.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_datadir}/%{crate} share/%{crate}/*.svg share/%{crate}/config.toml
install -Ddpm0755 %{buildroot}%{_sysconfdir}/%{crate}
touch %{buildroot}%{_sysconfdir}/%{crate}/config.toml
install -Dpm0644 -t %{buildroot}%{_udevrulesdir} etc/udev/rules.d/*.rules
install -Dpm0644 -t %{buildroot}%{_unitdir} etc/systemd/system/%{crate}.service

%post -n %{crate}
%systemd_post %{crate}.service

%preun -n %{crate}
%systemd_preun %{crate}.service

%postun -n %{crate}
%systemd_postun_with_restart %{crate}.service

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Apr 24 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.5-1
- Update to 0.3.5; Fixes: RHBZ#2362148

* Sun Apr 13 2025 Janne Grunau <j@jannau.net> - 0.3.4-2
- Backport fix for apple silicon devices with kernel 6.14 and later

* Wed Mar 26 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.4-1
- Update to 0.3.4; Fixes: RHBZ#2354969

* Tue Mar 04 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.3-1
- Update to 0.3.3; Fixes: RHBZ#2330436

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Oct 12 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2; Fixes: RHBZ#2293764

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-5
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Tue Apr 02 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-4
- Bump dependencies to match the gtk-rs 0.19 stack

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.0-2
- Update ExcludeArch

* Fri Jan 19 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0; Fixes: RHBZ#2249929

* Sun Oct 01 2023 Kalev Lember <klember@redhat.com> - 0.1.2-2
- Drop downstream patch to use librsvg pre-release version

* Mon Sep 11 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.2-1
- Update to 0.1.2; Fixes: RHBZ#2238327

* Tue Aug 22 2023 Kalev Lember <klember@redhat.com> - 0.1.1-4
- Use librsvg 2.57.0-beta and cairo-rs 0.18

* Sat Aug 12 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-3
- Backport upstream commit for backlight udev rule

* Sun Aug 06 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-2
- Exclude ppc64le and s390x due to missing dependencies

* Sun Aug 06 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-1
- Initial import; Fixes: RHBZ#2227479
## END: Generated by rpmautospec
